{% extends 'property_vacancy_management/building_unit/building_unit.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('property_vacancy_management/building_unit/document/overview') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('property_vacancy_management/building_unit/document/overview') }}
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card px-4 py-3 mb-4">
            {% if buildingUnit.getDocuments() is empty %}
                <p class="text-center text-secondary pt-3">Zu diesem Objekt sind bislang keine Dokumente hinterlegt.</p>
            {% endif %}
            <div class="row g-3 mb-4">
                {% for document in buildingUnit.getDocuments() %}
                    <div class="col-sm-6 col-md-3">
                        <div class="mdc-card mdc-card--outlined">
                            <div class="my-card__media mdc-card__media mdc-card__media--16-9">
                                <div class="mdc-card__media-content text-center d-flex flex-column">
                                    <div class="d-flex align-items-center justify-content-center flex-grow-1">
                                        <a href="{{ path('file_download', {'fileUuid': document.getFile().getUuid()}) }}">
                                            <i class="material-icons display-1">cloud_download</i>
                                        </a>
                                    </div>
                                    <b>{{ document.getTitle() }}</b>
                                </div>
                            </div>
                            <div class="mdc-card__actions">
                                <a href="{{ path('property_vacancy_management_building_unit_document_edit', {'buildingUnitId': buildingUnit.getId(), 'documentId': document.getId()}) }}" class="mdc-button mdc-card__action mdc-card__action--button">
                                    <div class="mdc-button__ripple"></div>
                                    <span class="mdc-button__label">Details</span>
                                </a>
                            </div>
                        </div>
                    </div>
                {% endfor %}
            </div>
            {% if is_granted('edit', buildingUnit) == true %}
                <h2 class="mb-3 fs-3">Dokumente hochladen</h2>
                {% include 'component/dropzone_upload_component.html.twig' with {
                    'idPrefix': 'document_upload_',
                    'uploadUrl': path('property_vacancy_management_building_unit_document_upload', {'buildingUnitId': buildingUnit.getId()}),
                    'redirectUrl': path('property_vacancy_management_building_unit_document_overview', {'buildingUnitId': buildingUnit.getId()})
                } only %}
            {% endif %}
        </div>
    </div>
{% endblock %}
